Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Remove the default .tool-versions file #351

Merged
merged 2 commits into from Aug 20, 2020

Conversation

axelson
Copy link
Member

@axelson axelson commented Aug 20, 2020

By removing the .tool-versions file it makes it easier for users to use their system installed elixir and erlang versions (which is especially helpful on mac because it is difficult/impossible to install older erlang versions).

There is some related discussion in #344 but most of the discussion was in Slack.

However, keep a version specifically for building releases to publish.

By removing the .tool-versions file it makes it easier for users to use
their system installed elixir and erlang versions.

There is some related discussion in
elixir-lsp#344 but most of the
discussion was in Slack.
@axelson axelson merged commit 8a933dc into elixir-lsp:master Aug 20, 2020
@axelson axelson deleted the no-default-tool-versions branch August 20, 2020 07:25
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Projects
None yet
Development

Successfully merging this pull request may close these issues.

None yet

2 participants